src.backend.lib.models.Book(3)

NAME
src.backend.lib.models.Book

SYNOPSIS

Inherits src.backend.lib.models.Base.

  Static Public Attributes
Mapped book_id = mapped_column(primary_key=True, nullable=False)
Mapped title [str]
Mapped author [Optional[str]]
Mapped categories [Optional[str]]
Mapped cover [Optional[bytes]]
Mapped pages [Optional[int]]
Mapped progress [Optional[float]]
Mapped file_name [str]
Mapped description [Optional[str]]
Mapped date [timestamp]
Mapped rights [Optional[str]]
Mapped tags [Optional[str]]
Mapped identifier [Optional[str]]
Mapped publisher [Optional[str]]

Detailed Description

Book model.

Member Data Documentation

  Mapped src.backend.lib.models.Book.author [Optional[str]] [static]

  Mapped src.backend.lib.models.Book.book_id = mapped_column(primary_key=True, nullable=False) [static]

  Mapped src.backend.lib.models.Book.categories [Optional[str]] [static]

  Mapped src.backend.lib.models.Book.cover [Optional[bytes]] [static]

  Mapped src.backend.lib.models.Book.date [timestamp] [static]

  Mapped src.backend.lib.models.Book.description [Optional[str]] [static]

  Mapped src.backend.lib.models.Book.file_name [str] [static]

  Mapped src.backend.lib.models.Book.identifier [Optional[str]] [static]

  Mapped src.backend.lib.models.Book.pages [Optional[int]] [static]

  Mapped src.backend.lib.models.Book.progress [Optional[float]] [static]

  Mapped src.backend.lib.models.Book.publisher [Optional[str]] [static]

  Mapped src.backend.lib.models.Book.rights [Optional[str]] [static]

  Mapped src.backend.lib.models.Book.tags [Optional[str]] [static]

  Mapped src.backend.lib.models.Book.title [str] [static]

Author

Generated automatically by Doxygen for pyShelf Open Source Ebook Server from the source code.